
Redmine - Defect #12375

Receiving mail subject encoding broken (MOJIBAKE) in some cases on Ruby 1.8

2012-11-16 06:17 - Toshi MARUYAMA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Toshi MARUYAMA % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version: 2.1.3   

Resolution: Fixed Affected version: 2.1.2

Description

On Ruby 1.8, mail subject "=?iso-2022-jp?b?GyRCJUYlOSVIGyhCCg=?="

is encoded correctly.

But, in case of "Re: =?iso-2022-jp?b?GyRCJUYlOSVIGyhCCg=?="

which is not beginning encoding name,

mail subject is broken.

Associated revisions

Revision 10811 - 2012-11-16 06:25 - Toshi MARUYAMA

add test of receiving mail subject begins with encoding name (#12375)

Revision 10812 - 2012-11-16 07:19 - Toshi MARUYAMA

fix receiving mail subject broken which does not begin with encoding name (#12375)

Revision 10813 - 2012-11-16 07:26 - Toshi MARUYAMA

svn propset svn:eol-style native to fixtures (#12375)

Revision 10815 - 2012-11-16 08:51 - Toshi MARUYAMA

Merged r10811 from trunk (#12375)

add test of receiving mail subject begins with encoding name.

Revision 10816 - 2012-11-16 08:52 - Toshi MARUYAMA

Merged r10812 from trunk (#12375)

fix receiving mail subject broken which does not begin with encoding name.

Revision 10817 - 2012-11-16 08:57 - Toshi MARUYAMA

Merged r10813 from trunk (#12375)

svn propset svn:eol-style native to fixtures.

Revision 11650 - 2013-03-19 07:35 - Toshi MARUYAMA

fix broken tests on Rails 3.2.13 with Ruby 1.8 (#12399, #12375)

History

#1 - 2012-11-16 11:13 - Toshi MARUYAMA

- Assignee set to Toshi MARUYAMA

#2 - 2012-11-16 11:13 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Fixed

Committed in trunk and 2.1-stable.
